Package org.apache.sling.distribution.journal.impl.precondition

## Enum Precondition.Decision

- java.lang.Object
- - java.lang.Enum<Precondition.Decision>
  - - org.apache.sling.distribution.journal.impl.precondition.Precondition.Decision

All Implemented Interfaces:
  `Serializable`, `Comparable<Precondition.Decision>`

Enclosing interface:
  Precondition

    public static enum Precondition.Decision
    extends Enum<Precondition.Decision>

### Enum Constant Summary

Enum Constants
`ACCEPT`
`SKIP`
`WAIT`

### Method Summary

All Methods Static Methods Concrete Methods
`static Precondition.Decision` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static Precondition.Decision[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ACCEPT

    public static final Precondition.Decision ACCEPT

#### SKIP

    public static final Precondition.Decision SKIP

#### WAIT

    public static final Precondition.Decision WAIT

### Method Detail

#### values

    public static Precondition.Decision[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Precondition.Decision c : Precondition.Decision.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Precondition.Decision valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null